### Method

# Ide ProjectFile get_info

#### Declaration

    GFileInfo*
    ide_project_file_get_info (
      IdeProjectFile* self
    )

#### Description

Gets the `GFileInfo` for the file. This combined with `IdeProjectFile:directory` can be used to determine the underlying file, such as via `IdeProjectFile:file`.

Available since: | 3.32

Gets property | `Ide.ProjectFile:info`

#### Return value

Returns: | `GFileInfo`
| A `GFileInfo`.
| The data is owned by the instance.